XFuXMChannel class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuXMChannel Class Reference

`#include <XFuXMPlayer_internal.h>`

Collaboration diagram for XFuXMChannel:

[legend]
List of all members.

## Public Attributes

XFuXMFormatAtom | mTa
INT | mIsValid
INT | mInitSample
| Data validity flag.
INT32 | mPointer
| Sample initialization flag.
XFuXMInstrument | mCurrentInstrument
| Current instrument.
XFuXMSample | mCurrentSample
| Current sample.
void * | mOffset
| Sample address in memory.
INT32 | mLength
| Sample size.
INT16 | mInstrumentNb
| Instrument number.
UINT32 | mSpeed
UINT8 | mLoop
INT32 | mLoopStart
| Sample loop start.
INT32 | mLoopEnd
| Sample loop end.
UINT8 | mIsSample
| Sample availability flag.
INT8 | mNote
| Current note.
INT8 | mFinetune
| Current finetune.
INT8 | mDirection
| Sample direction: +1 = Forwards, -1 = Backwards.
UINT8 | mVolEnvType
| Volume envelope type.
UINT16 | mVolEnvPointer
| Volume envelope pointer.
UINT8 | mVolEnvSpeed
| Volume envelope speed.
UINT16 | mVolEnvLoopStart
| Volume envelope loop start.
UINT16 | mVolEnvLoopEnd
| Volume envelope loop end.
UINT16 | mVolEnvSustain
| Volume envelope sustain point.
REAL | mVolEnvValue
| Volume envelope value.
REAL | mVolumeFadeout
| Volume envelope fadeout.
REAL | mVolumeFadeoutValue
| Volume envelope fadeout value.
INT8 | mVolume
| Volume.
INT8 | mBaseVolume
| Base volume.
REAL | mFinalVolume
| Final volume, used for ramping.
REAL | mFinalOldVolume
| Final old volume, used for ramping.
REAL | mFinalVolumeSpeed
| Final volume ramp speed.
UINT8 | mPanEnvType
| Panning envelope type.
UINT16 | mPanEnvPointer
| Panning envelope pointer.
UINT8 | mPanEnvSpeed
| Panning envelope speed.
UINT16 | mPanEnvLoopStart
| Panning envelope loop start.
UINT16 | mPanEnvLoopEnd
| Panning envelope loop end.
UINT16 | mPanEnvSustain
| Panning envelope sustain point.
UINT8 | mPanEnvValue
| Panning envelope value.
UINT8 | mPan
| Pan.
INT16 | mFinalPan
| Final pan.
UINT8 | mSustainReleased
| Sustain release flag.
UINT8 | mVolumeColumn
| Volume column effect.
UINT8 | mEffectType
| Effect type.
UINT8 | mEffectValue
| Effect value.
UINT8 | mPortamentoUpV
| Portamento up value.
UINT8 | mPortamentoDownV
| Portamento down value.
UINT8 | mTonePortamentoV
| Tone portamento value.
UINT8 | mVolumeSlideV
| Volume slide value.
UINT8 | mFinePortamentoUpV
| Fine portamento up value.
UINT8 | mFinePortamentoDownV
| Fine portamento down value.
UINT8 | mFineVolumeSlideUpV
| Fine volume slide up value.
UINT8 | mFineVolumeSlideDownV
| Fine volume slide down value.
UINT8 | mGlobalVolumeSlideV
| Global volume slide value.
UINT8 | mMultiRetrigVolumeV
| Multi retrig note volume change.
UINT8 | mMultiRetrigRateV
| Multi retríg note rate.
UINT8 | mTremorV
| Tremor value.
UINT8 | mExtraFinePortamentoUpV
| Extra fine portamento up value.
UINT8 | mExtraFinePortamentoDownV
| Extra fine portamento down value.
UINT8 | mPanningSlideV
| Panning slide value.
UINT32 | mMultiRetrigTicker
| Multi retrig ticker.
UINT32 | mTremorTicker
| Tremor ticker.
UINT32 | mPeriod
| Period.
UINT32 | mOldPeriod
| Old line period.
UINT32 | mDestPeriod
| Current line period.
UINT32 | mBasePeriod
| Base period.
UINT8 | mIsVibrato
| Vibrato flag.
UINT8 | mVibratoRate
| Vibrato rate.
UINT8 | mVibratoDepth
| Vibrato depth.
UINT8 | mVibratoPointer
| Vibrato pointer.
UINT8 | mVibratoWaveform
| Vibrato waveform.
UINT8 | mTremoloRate
| Tremolo rate.
UINT8 | mTremoloDepth
| Tremolo depth.
UINT8 | mTremoloPointer
| Tremolo pointer.
UINT8 | mTremoloWaveform
| Tremolo waveform.

## Member Data Documentation

UINT32 XFuXMChannel::mBasePeriod

| Base period. Definition at line 354 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

INT8 XFuXMChannel::mBaseVolume

| Base volume. Definition at line 310 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

XFuXMInstrument XFuXMChannel::mCurrentInstrument

| Current instrument. Definition at line 276 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), and XFuXMPlayer::initSound().

XFuXMSample XFuXMChannel::mCurrentSample

| Current sample. Definition at line 277 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT32 XFuXMChannel::mDestPeriod

| Current line period. Definition at line 353 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

INT8 XFuXMChannel::mDirection

| Sample direction: +1 = Forwards, -1 = Backwards. Definition at line 297 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::initSound().

UINT8 XFuXMChannel::mEffectType

| Effect type. Definition at line 329 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), XFuXMPlayer::notifyHandlers(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mEffectValue

| Effect value. Definition at line 330 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::notifyHandlers(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mExtraFinePortamentoDownV

| Extra fine portamento down value. Definition at line 345 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mExtraFinePortamentoUpV

| Extra fine portamento up value. Definition at line 344 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

REAL XFuXMChannel::mFinalOldVolume

| Final old volume, used for ramping. Definition at line 312 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

INT16 XFuXMChannel::mFinalPan

| Final pan. Definition at line 323 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::stream().

REAL XFuXMChannel::mFinalVolume

| Final volume, used for ramping. Definition at line 311 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::stream().

REAL XFuXMChannel::mFinalVolumeSpeed

| Final volume ramp speed. Definition at line 313 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mFinePortamentoDownV

| Fine portamento down value. Definition at line 337 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong().

UINT8 XFuXMChannel::mFinePortamentoUpV

| Fine portamento up value. Definition at line 336 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

INT8 XFuXMChannel::mFinetune

| Current finetune. Definition at line 295 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mFineVolumeSlideDownV

| Fine volume slide down value. Definition at line 339 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mFineVolumeSlideUpV

| Fine volume slide up value. Definition at line 338 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mGlobalVolumeSlideV

| Global volume slide value. Definition at line 340 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

INT XFuXMChannel::mInitSample

| Data validity flag. Definition at line 272 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

INT16 XFuXMChannel::mInstrumentNb

| Instrument number. Definition at line 281 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), XFuXMPlayer::initSong(), XFuXMPlayer::notifyHandlers(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mIsSample

| Sample availability flag. Definition at line 292 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

INT XFuXMChannel::mIsValid

| Definition at line 271 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), and XFuXMPlayer::initSound().

UINT8 XFuXMChannel::mIsVibrato

| Vibrato flag. Definition at line 356 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

INT32 XFuXMChannel::mLength

| Sample size. Definition at line 280 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mLoop

- 0 = Off
- 1 = Forward
- 2 = Pingpong

Definition at line 288 of file XFuXMPlayer_internal.h.

Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

INT32 XFuXMChannel::mLoopEnd

| Sample loop end. Definition at line 290 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::initSound().

INT32 XFuXMChannel::mLoopStart

| Sample loop start. Definition at line 289 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::initSound().

UINT8 XFuXMChannel::mMultiRetrigRateV

| Multi retríg note rate. Definition at line 342 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

UINT32 XFuXMChannel::mMultiRetrigTicker

| Multi retrig ticker. Definition at line 348 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mMultiRetrigVolumeV

| Multi retrig note volume change. Definition at line 341 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

INT8 XFuXMChannel::mNote

| Current note. Definition at line 294 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::notifyHandlers().

void* XFuXMChannel::mOffset

| Sample address in memory. Definition at line 279 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT32 XFuXMChannel::mOldPeriod

| Old line period. Definition at line 352 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mPan

| Pan. Definition at line 322 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), and XFuXMPlayer::stream().

UINT16 XFuXMChannel::mPanEnvLoopEnd

| Panning envelope loop end. Definition at line 319 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT16 XFuXMChannel::mPanEnvLoopStart

| Panning envelope loop start. Definition at line 318 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT16 XFuXMChannel::mPanEnvPointer

| Panning envelope pointer. Definition at line 316 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mPanEnvSpeed

| Panning envelope speed. Definition at line 317 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT16 XFuXMChannel::mPanEnvSustain

| Panning envelope sustain point. Definition at line 320 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mPanEnvType

| Panning envelope type. Definition at line 315 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mPanEnvValue

| Panning envelope value. Definition at line 321 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mPanningSlideV

| Panning slide value. Definition at line 346 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::stream().

UINT32 XFuXMChannel::mPeriod

| Period. Definition at line 351 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

INT32 XFuXMChannel::mPointer

| Sample initialization flag. Definition at line 274 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mPortamentoDownV

| Portamento down value. Definition at line 333 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::stream().

UINT8 XFuXMChannel::mPortamentoUpV

| Portamento up value. Definition at line 332 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::stream().

UINT32 XFuXMChannel::mSpeed

| Speed. Sample loop type. Definition at line 282 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mSustainReleased

| Sustain release flag. Definition at line 325 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

XFuXMFormatAtom XFuXMChannel::mTa

| Definition at line 269 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mTonePortamentoV

| Tone portamento value. Definition at line 334 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mTremoloDepth

| Tremolo depth. Definition at line 363 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mTremoloPointer

| Tremolo pointer. Definition at line 364 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mTremoloRate

| Tremolo rate. Definition at line 362 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mTremoloWaveform

| Tremolo waveform. Definition at line 365 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT32 XFuXMChannel::mTremorTicker

| Tremor ticker. Definition at line 349 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mTremorV

| Tremor value. Definition at line 343 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mVibratoDepth

| Vibrato depth. Definition at line 358 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mVibratoPointer

| Vibrato pointer. Definition at line 359 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mVibratoRate

| Vibrato rate. Definition at line 357 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mVibratoWaveform

| Vibrato waveform. Definition at line 360 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT16 XFuXMChannel::mVolEnvLoopEnd

| Volume envelope loop end. Definition at line 303 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT16 XFuXMChannel::mVolEnvLoopStart

| Volume envelope loop start. Definition at line 302 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT16 XFuXMChannel::mVolEnvPointer

| Volume envelope pointer. Definition at line 300 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mVolEnvSpeed

| Volume envelope speed. Definition at line 301 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT16 XFuXMChannel::mVolEnvSustain

| Volume envelope sustain point. Definition at line 304 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mVolEnvType

| Volume envelope type. Definition at line 299 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

REAL XFuXMChannel::mVolEnvValue

| Volume envelope value. Definition at line 305 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

INT8 XFuXMChannel::mVolume

| Volume. Definition at line 309 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), XFuXMPlayer::initSong(), XFuXMPlayer::notifyHandlers(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mVolumeColumn

| Volume column effect. Definition at line 327 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initChannel(), XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

REAL XFuXMChannel::mVolumeFadeout

| Volume envelope fadeout. Definition at line 306 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

REAL XFuXMChannel::mVolumeFadeoutValue

| Volume envelope fadeout value. Definition at line 307 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), XFuXMPlayer::initSound(), and XFuXMPlayer::stream().

UINT8 XFuXMChannel::mVolumeSlideV

| Volume slide value. Definition at line 335 of file XFuXMPlayer_internal.h. Referenced by XFuXMPlayer::initSong(), and XFuXMPlayer::stream().

The documentation for this class was generated from the following file:

- XFuXMPlayer_internal.h

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch